<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <View
        android:id="@+id/mView"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/mIvBack"
        android:layout_width="@dimen/dp_48"
        android:layout_height="@dimen/dp_48"
        android:scaleType="center"
        android:src="@mipmap/ic_back_arrow"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mView" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/line1"
        android:layout_width="@dimen/dp_0"
        android:layout_height="@dimen/dp_1"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.2"/>
    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/line2"
        android:layout_width="@dimen/dp_0"
        android:layout_height="@dimen/dp_1"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.8"/>


    <TextView
        android:id="@+id/mTvTitle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:textColor="@color/col_313"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        android:gravity="center"
        android:maxWidth="@dimen/dp_300"
        android:maxLines="1"
        android:ellipsize="end"
        app:layout_constraintBottom_toBottomOf="@+id/mIvBack"
        app:layout_constraintLeft_toLeftOf="@+id/line1"
        app:layout_constraintRight_toRightOf="@+id/line2"
        app:layout_constraintTop_toTopOf="@+id/mIvBack"
        tools:text="标题标题" />

    <ImageView
        android:id="@+id/mIvReight"
        android:layout_width="@dimen/dp_48"
        android:layout_height="@dimen/dp_48"
        android:scaleType="center"
        android:src="@mipmap/icon_share"
        android:visibility="gone"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mView"
        app:tint="@color/col_666" />

    <TextView
        android:id="@+id/mTvRight"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_10"
        android:paddingRight="@dimen/dp_10"
        android:textColor="@color/col_455"
        android:textSize="@dimen/sp_14"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/mTvTitle"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/mTvTitle" />

</androidx.constraintlayout.widget.ConstraintLayout>